Subject: Re: bug#34256: 27.0.50; Crash on draw_glyphs()

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Jan 2019 18:16:32 +0200

> From: Kaushal Modi <[email-masked]>
> Date: Wed, 30 Jan 2019 09:30:23 -0500
> 
> I was working in an Org mode buffer and I got this crash on doing C-x v u (vc-revert).
> 
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> 0x00000000004c6814 in x_draw_glyph_string ()
> (gdb) bt
> #0  0x00000000004c6814 in x_draw_glyph_string ()
> #1  0x000000000045b394 in draw_glyphs ()
> #2  0x0000000000460ec9 in x_write_glyphs ()
> #3  0x000000000041eb02 in update_window_line ()
> #4  0x0000000000420737 in update_window ()
> #5  0x000000000042209a in update_window_tree ()
> #6  0x00000000004220ab in update_window_tree ()
> #7  0x000000000042445d in update_frame ()
> #8  0x000000000045831f in redisplay_internal ()
> #9  0x00000000004fc2b3 in read_char ()
> #10 0x00000000004feccc in read_key_sequence ()
> #11 0x000000000050168d in read_key_sequence_vs ()
> #12 0x000000000056bcef in Ffuncall ()
> #13 0x00000000005a4d73 in exec_byte_code ()
> #14 0x000000000056bc6f in Ffuncall ()
> #15 0x00000000005a4d73 in exec_byte_code ()
> #16 0x000000000056bc6f in Ffuncall ()
> #17 0x00000000005a4d73 in exec_byte_code ()
> #18 0x000000000056bc6f in Ffuncall ()
> #19 0x0000000000568700 in Ffuncall_interactively ()
> #20 0x000000000056bcef in Ffuncall ()
> #21 0x000000000056bf6d in Fapply ()
> #22 0x0000000000569d8a in Fcall_interactively ()
> #23 0x000000000056bcef in Ffuncall ()
> #24 0x00000000005a4d73 in exec_byte_code ()
> #25 0x000000000056bc6f in Ffuncall ()
> #26 0x000000000056bdaa in call1 ()
> #27 0x0000000000500630 in command_loop_1 ()
> #28 0x000000000056af3e in internal_condition_case ()
> #29 0x00000000004f2a1c in command_loop_2 ()
> #30 0x000000000056aead in internal_catch ()
> #31 0x00000000004f29c4 in command_loop ()
> #32 0x00000000004f75e6 in recursive_edit_1 ()
> #33 0x00000000004f7904 in Frecursive_edit ()
> #34 0x00000000004f1d13 in main ()
> 
> Lisp Backtrace:
> No symbol "CHECK_LISP_OBJECT_TYPE" in current context.

Thanks.

Do you strip Emacs when you install it?  If so, please don't, because
when you strip the debugging symbols, you lose the capability of
giving us any useful information about the crash.

If you can reproduce this problem, please post the recipe; otherwise I
don't see how this could be of any use.  Too bad.

> Configured using:
>  'configure --with-modules
>  --prefix=/home/kmodi/usr_local/apps/6/emacs/master
>  '--program-transform-name=s/^ctags$/ctags_emacs/' --with-harfbuzz
>  'CPPFLAGS=-I/home/kmodi/stowed/include
>  -I/home/kmodi/usr_local/6/include -I/usr/include/freetype2
>  -I/usr/include' 'CFLAGS=-O2 -march=native'
>  'LDFLAGS=-L/home/kmodi/stowed/lib -L/home/kmodi/stowed/lib64
>  -L/home/kmodi/usr_local/6/lib -L/home/kmodi/usr_local/6/lib64'

Why isn't there a -g3 in the compiler switches?  AFAIK, the default
configuration supplies it.  Did you specify CFLAGS at configure time?
If so, please add -g3 to the switches, and I suggest to use -Og,
not -O2, for better debuggability.

> Configured features:
> XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
> NOTIFY INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF
> XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11 XDBE XIM MODULES THREADS
> CANNOT_DUMP GMP

Did you merge the harfbuzz branch with master, so there's no pdumper
in your build?  If not, why do I see CANNOT_DUMP in the list of
features?